Write-Host -ForegroundColor Red "Les elements suivants seront modifies: "
Write-Host ""
Write-Host "Afficher lanimation a la premiere connexion (D)"
Write-Host "Desactiver lacces au Store (A)"
Write-Host "Autoriser  cortana (D)"
Write-Host "Desactiver l’ID de publicite (A)"
Write-Host "Supprimer la barre Contacts de la barre des taches (A)"
Write-Host "Supprimer les notifications et le centre de maintenance (A)"

$continue = "true"
while ($continue -eq "true") {

    $res = Read-Host "Tapez 'y' pour confirmer du changement de gepedit ou 'x' pour quitter" 

    if ($res -eq "y") {

        Write-Host ""
        Write-host -ForegroundColor Green "Lancement gpedit config"
        Write-Host ""
        Set-PSRepository -Name 'PSGallery' -InstallationPolicy Trusted
        Write-Host ""

        Write-Host "Installing PolicyFileEditor V3"
        Install-Module -Name PolicyFileEditor -RequiredVersion 3.0.0 -Scope CurrentUser

        $MachineDir = "$env:windir\system32\GroupPolicy\Machine\registry.pol"

        Write-Host "Suppression animation de premiere connexion"
        $RegPath = 'Software\Microsoft\Windows\CurrentVersion\Policies\System'
        $RegName = 'EnableFirstLogonAnimation'
        $RegData = '0'
        $RegType = 'DWord'
        Set-PolicyFileEntry -Path $MachineDir -Key $RegPath -ValueName $RegName -Data $RegData -Type $RegType

        Write-Host "Desactivation recherche dans le store application pour type de fichier non gere"
        $RegPath = 'Software\Policies\Microsoft\Windows\Explorer'
        $RegName = 'NoUseStoreOpenWith'
        $RegData = '1'
        $RegType = 'DWord'
        Set-PolicyFileEntry -Path $MachineDir -Key $RegPath -ValueName $RegName -Data $RegData -Type $RegType

        Write-Host "Desactivation Cortana"
        $RegPath = 'SOFTWARE\Policies\Microsoft\Windows\Windows Search'
        $RegName = 'AllowCortana'
        $RegData = '0'
        $RegType = 'DWord'
        Set-PolicyFileEntry -Path $MachineDir -Key $RegPath -ValueName $RegName -Data $RegData -Type $RegType

        Write-Host "Desactivation identifiant publicitaire"
        $RegPath = 'Software\Policies\Microsoft\Windows\AdvertisingInfo'
        $RegName = 'DisabledByGroupPolicy'
        $RegData = '1'
        $RegType = 'DWord'
        Set-PolicyFileEntry -Path $MachineDir -Key $RegPath -ValueName $RegName -Data $RegData -Type $RegType

        $UserDir = "$env:windir\system32\GroupPolicy\User\registry.pol"

        Write-Host "Cacher le bouton Contacts"
        $RegPath = 'Software\Policies\Microsoft\Windows\Explorer'
        $RegName = 'HidePeopleBar'
        $RegData = '1'
        $RegType = 'DWord'
        Set-PolicyFileEntry -Path $UserDir -Key $RegPath -ValueName $RegName -Data $RegData -Type $RegType

        # apply the new policy immediately
        gpupdate.exe /force

    }
    if ($res -eq "x") {
        $continue = "false"
    }

}


